// components/main/kabelueberwachung/kue705FO/hooks/useModulName.ts
import { useEffect, useState } from "react";

const useModulName = (slotIndex: number, modulName: string) => {
  const [currentModulName, setCurrentModulName] = useState(modulName);

  useEffect(() => {
    setCurrentModulName(modulName);
  }, [modulName, slotIndex]);

  return { currentModulName, setCurrentModulName }; // Hier wird die Setter-Funktion zurückgegeben
};

export default useModulName;
